package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.BmsTimeBillStrategyDTO;
import com.prolog.rdc.tms.model.vo.BmsTimeStrategyQueryVO;
import com.prolog.rdc.tms.model.vo.BmsTimeStrategyVO;
import com.prolog.rdc.tms.model.vo.StatusUpdate;

import java.util.List;

public interface TimeBillStrategyService {

    Page<BmsTimeBillStrategyDTO> findList(BmsTimeStrategyQueryVO vo);

    void save(BmsTimeStrategyVO vo);

    BmsTimeBillStrategyDTO detail(Long id);

    void update(BmsTimeStrategyVO vo);

    void updateStatus(List<StatusUpdate> vo);

    void delete(String[] ids);
}
